### Method

# Rest ProxyCall serialize_params

#### Declaration [src]

    gboolean
    rest_proxy_call_serialize_params (
      RestProxyCall* call,
      gchar** content_type,
      gchar** content,
      gsize* content_len,
      GError** error
    )

#### Description [src]

Invoker for a virtual method to serialize the parameters for this `RestProxyCall`.

#### Parameters

`content_type`

  Type: `gchar**`

  Content type of the payload.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`content`

  Type: `gchar**`

  The payload.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`content_len`

  Type: `gsize*`

  Length of the payload data.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the serialization was successful, FALSE otherwise.